Package Details: python-clickhouse-cli-git r115.e031051-3

Git Clone URL: https://aur.archlinux.org/python-clickhouse-cli-git.git (read-only)
Package Base: python-clickhouse-cli-git
Description: Third-party client for the Clickhouse DBMS server
Upstream URL: https://github.com/hatarist/clickhouse-cli
Licenses: MIT
Provides: clickhouse-cli
Submitter: woutifier
Maintainer: woutifier
Last Packager: woutifier
Votes: 2
Popularity: 0.035047
First Submitted: 2018-03-16 21:23
Last Updated: 2018-11-20 20:04

Latest Comments

woutifier commented on 2018-11-20 20:05

Thanks algebro, I've applied your suggested fix and it appears to work.

algebro commented on 2018-11-20 15:16

Hey, python-prompt_toolkit1 maintainer here. I talked to keenerd (the TU that maintains the official prompt_toolkit packages) and apparently the compatibility requirements here are pretty messy. Basically, any packages that depend on python-prompt_toolkit1 will have to add a prepare() function that modifies the src to change references from prompt_toolkit to prompt_toolkit1. Example:

prepare() {
  cd "$srcdir/frida-tools-$pkgver"
  find ./ -type f -exec sed -i -e 's/prompt_toolkit/prompt_toolkit1/g' {} \;
  find ./ -type f -exec sed -i -e 's/prompt-toolkit/prompt-toolkit1/g' {} \;
}

The second sed is to fix the requirement in setup.py in that particular package. I've just updated python-prompt_toolkit1 to reflect these changes.

More information:

https://git.archlinux.org/svntogit/community.git/commit/trunk?h=packages/ipython2&id=635f456416835b2ba9476ac0f4720e4c6aa59d8d

https://bugs.archlinux.org/task/60861

Please ping me if you have any issues/questions.

woutifier commented on 2018-11-20 14:25

Looks like python-prompt_toolkit in the community repo was bumped to version 2 very recently. I will change it to python-prompt_toolkit1, that was added to the AUR.

Edit: changed it, let me know if it works for you now.

lisu_ml commented on 2018-11-20 14:15

Hey, I'm getting this after recent upstream commits:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 581, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 898, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 789, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (prompt-toolkit 2.0.7 (/usr/lib/python3.7/site-packages), Requirement.parse('prompt-toolkit<2.0,>=1.0.8'), {'clickhouse-cli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/clickhouse-cli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3126, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3110, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3139, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 784, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'prompt-toolkit<2.0,>=1.0.8' distribution was not found and is required by clickhouse-cli

Seems like it depends on lower version of python-prompt_toolkit.